# Function circleAPI

- circleAPI<K1>(args_0): (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends "Mainnet" | "Testnet"
  ? {
  Mainnet: "https://iris-api.circle.com/v1/attestations";
  Testnet: "https://iris-api-sandbox.circle.com/v1/attestations";
  }[Object] extends {
  [key: string]: unknown;
  }
  ? {
  Mainnet: "https://iris-api.circle.com/v1/attestations";
  Testnet: "https://iris-api-sandbox.circle.com/v1/attestations";
  }[Object]
  : {
  Mainnet: "https://iris-api.circle.com/v1/attestations";
  Testnet: "https://iris-api-sandbox.circle.com/v1/attestations";
  }[Object]
  : never

- #### Type Parameters

  - #### K1 extends "Mainnet" | "Testnet"

  #### Parameters

  - ##### args_0: K1

  #### Returns (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends "Mainnet" | "Testnet"
  ? {
  Mainnet: "https://iris-api.circle.com/v1/attestations";
  Testnet: "https://iris-api-sandbox.circle.com/v1/attestations";
  }[Object] extends {
  [key: string]: unknown;
  }
  ? {
  Mainnet: "https://iris-api.circle.com/v1/attestations";
  Testnet: "https://iris-api-sandbox.circle.com/v1/attestations";
  }[Object]
  : {
  Mainnet: "https://iris-api.circle.com/v1/attestations";
  Testnet: "https://iris-api-sandbox.circle.com/v1/attestations";
  }[Object]
  : never

  - Defined in core/base/dist/esm/constants/circle.d.ts:65

Generated using TypeDoc